[MSHARED-402] Upgrade to Maven 2.2.1 compatiblity
authorKarl Heinz Marbaise <khmarbaise@apache.org>
Mon, 19 Jan 2015 20:15:14 +0000 (20:15 +0000)
committerKarl Heinz Marbaise <khmarbaise@apache.org>
Mon, 19 Jan 2015 20:15:14 +0000 (20:15 +0000)
git-svn-id: https://svn.apache.org/repos/asf/maven/shared/trunk@1653102 13f79535-47bb-0310-9956-ffa450edef68

pom.xml

diff --git a/pom.xml b/pom.xml
index be15a28..1a98c97 100644 (file)
--- a/pom.xml
+++ b/pom.xml
@@ -37,6 +37,13 @@ under the License.
     Provides a component for plugins to easily resolve project dependencies.
   </description>
 
+  <properties>
+    <maven.version>2.2.1</maven.version>
+  </properties>
+  <prerequisites>
+    <maven>${maven.version}</maven>
+  </prerequisites>
+
   <!--
   NOTE: This library is meant to be used by plugins, hence we can consider the Maven API to be provided by the
   runtime environment. Last but not least, using "provided" scope is the easiest way to exclude all our transitive
@@ -63,25 +70,25 @@ under the License.
     <dependency>
       <groupId>org.apache.maven</groupId>
       <artifactId>maven-artifact-manager</artifactId>
-      <version>2.1.0</version>
+      <version>${maven.version}</version>
       <scope>provided</scope>
     </dependency>
     <dependency>
       <groupId>org.apache.maven</groupId>
       <artifactId>maven-artifact</artifactId>
-      <version>2.1.0</version>
+      <version>${maven.version}</version>
       <scope>provided</scope>
     </dependency>
     <dependency>
       <groupId>org.apache.maven</groupId>
       <artifactId>maven-project</artifactId>
-      <version>2.1.0</version>
+      <version>${maven.version}</version>
       <scope>provided</scope>
     </dependency>
     <dependency>
       <groupId>org.apache.maven</groupId>
       <artifactId>maven-core</artifactId>
-      <version>2.1.0</version>
+      <version>${maven.version}</version>
       <scope>provided</scope>
     </dependency>
     <dependency>